Skip to content

Generate Token.

GET
/api/config/namespaces/{namespace}/third_party_applications/{name}/generate_token
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/third_party_applications/example/generate_token \
--header 'Authorization: <Authorization>'

Generate token that will be used by the third party application.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the discovered service for current request.

name
required
string

Service Name x-required Identifies the discovered service name.

A successful response.

Media typeapplication/json
GenerateTokenResponse

Response to the Generate Token Request token - a base64 encoding of AuthToken struct will be used in accesslog request header.

object
token
Token

Authentication or access token

string format: byte
<= 1024 characters
Examplegenerated
{
"token": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example